<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>
  <xsl:include href="service-params.xsl"/>
  <xsl:include href="querytools.xsl"/>
  
  <xsl:output method="html"/>

  <xsl:template name="pageTitle">
    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
  </xsl:template>

  <!-- page specific style goes here -->
  <xsl:template name="pageStyle"/>


  <xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
   <!-- <center>-->
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
<!--    <xsl:call-template name="dividerBar">
      <xsl:with-param name="text" select="service/displayItem[@name='name']"/>
    </xsl:call-template>-->
    <xsl:apply-templates select="service">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:apply-templates>
  <!--  </center>-->
    <xsl:if test="documentNodeList">
      <xsl:call-template name="query-response">
	<xsl:with-param name="collName" select="$collName"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:call-template name="dividerBar"/>
  </xsl:template>


  <!-- layout the response -->
  <xsl:template name="query-response">
    <xsl:param name="collName"/>
    <xsl:call-template name="dividerBar"><xsl:with-param name='text'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'query.results')"/></xsl:with-param></xsl:call-template>
    
    <!-- If query term information is available, display it -->
    <xsl:call-template name="termInfo"/>
    <xsl:call-template name="matchDocs"/>
    
    <!-- next and prev links at top of results-->
    <xsl:call-template name="resultNavigation">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <!-- Display the matching documents -->
    <xsl:call-template name="resultList">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <!-- next and prev links at bottom of page -->
    <xsl:call-template name="resultNavigation">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
  </xsl:template>
  

  <xsl:template match="service">
    <xsl:param name="collName"/>
    <xsl:variable name="subaction" select="../pageRequest/@subaction"/>
    <form name="QueryForm" method="get" action="{$library_name}">
      <input type="hidden" name="a" value="q"/>
      <input type="hidden" name="sa" value="{$subaction}"/>
      <input type="hidden" name="rt" value="rd"/>
      <input type="hidden" name="s" value="{@name}"/>
      <input type="hidden" name="c" value="{$collName}"/>
      <xsl:if test="not(paramList/param[@name='startPage'])">
	<input type="hidden" name="startPage" value="1"/>
      </xsl:if>
      <xsl:apply-templates select="paramList"/>
      <br/>
      <input type="submit"><xsl:attribute name="value"><xsl:value-of select="displayItem[@name='submit']"/></xsl:attribute></input>
    </form>
  </xsl:template>
   
</xsl:stylesheet>  






