<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>

  <xsl:output method="html"/>  

  <xsl:template name="pageTitle">
    Sample XML Texts Collection
  </xsl:template>

  <!-- page specific style goes here -->
  <xsl:template name="pageStyle"/>

  <xsl:template match="pageResponse">
    <xsl:apply-templates select="collection"/>
  </xsl:template>

  <xsl:template match="collection">
    <xsl:variable name="collName" select="@name"/>
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="pageType">about</xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
    <p/><xsl:value-of select="displayItem[@name='description']" disable-output-escaping='yes'/>
    <p/><xsl:apply-templates select="documentList">
      <xsl:with-param name="collName" select="@name"/>
    </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="documentList">
    <xsl:param name="collName"/>
    <ul>
      <xsl:for-each select="document">
	<li><a href="{$library_name}?a=xd&amp;sa=toc&amp;sc=full&amp;c={$collName}&amp;d={@name}"><xsl:value-of select="metadataList/metadata[@name='Title']"/></a></li>
      </xsl:for-each>
    </ul>
  </xsl:template>
</xsl:stylesheet>